Returns a webhook.
curl --request GET \
--url https://api.sandbox.goteal.co/webhooks/{webhook_id} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.sandbox.goteal.co/webhooks/{webhook_id}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.sandbox.goteal.co/webhooks/{webhook_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"webhook_id": "95a0e70b-fe02-4f47-aef9-2efff279df71",
"name": "user-payroll-submitted",
"events": [
"user-payroll-submitted",
"user-hmrc-data-submitted",
"user-bank-statement-submitted"
],
"url": "https://webhooks.company.com",
"created_at": "2019-05-17T00:00:00.000Z"
}{
"errors": [
"The request is missing the required field `name`"
]
}{
"errors": [
"No X-API-KEY header provided or wrong value"
]
}Webhooks
Retrieve a Webhook
GET
/
webhooks
/
{webhook_id}
Returns a webhook.
Authorizations
ApiKeyAuthMemberBearerAuth
Path Parameters
ID of the webhook to get
Response
OK
The id of the webhook
Example:
"95a0e70b-fe02-4f47-aef9-2efff279df71"
A unique name of the webhook
Example:
"user-payroll-submitted"
Example:
[
"user-payroll-submitted",
"user-hmrc-data-submitted",
"user-bank-statement-submitted"
]Example:
"https://webhooks.company.com"
Example:
"2019-05-17T00:00:00.000Z"
⌘I